xine-lib: xine-lib-1.2.12/include/xine/osd.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions
osd.h File Reference
`#include <xine/video_overlay.h>`

Go to the source code of this file.

## Data Structures
struct | osd_object_s
struct | xine_osd_s
struct | osd_renderer_s

## Macros
#define | TEXT_PALETTE_SIZE 11
#define | OSD_TEXT1 (0 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT2 (1 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT3 (2 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT4 (3 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT5 (4 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT6 (5 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT7 (6 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT8 (7 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT9 (8 * TEXT_PALETTE_SIZE)
#define | OSD_TEXT10 (9 * TEXT_PALETTE_SIZE)
#define | NUMBER_OF_TEXT_PALETTES 4
#define | TEXTPALETTE_WHITE_BLACK_TRANSPARENT 0
#define | TEXTPALETTE_WHITE_NONE_TRANSPARENT 1
#define | TEXTPALETTE_WHITE_NONE_TRANSLUCID 2
#define | TEXTPALETTE_YELLOW_BLACK_TRANSPARENT 3

## Typedefs
typedef struct osd_object_s | osd_object_t
typedef struct osd_renderer_s | osd_renderer_t
typedef struct osd_font_s | osd_font_t
typedef struct osd_ft2context_s | osd_ft2context_t

## Functions
osd_renderer_t * | _x_osd_renderer_init (xine_stream_t *stream)

## Macro Definition Documentation

## ◆ NUMBER_OF_TEXT_PALETTES

#define NUMBER_OF_TEXT_PALETTES 4

## ◆ OSD_TEXT1

#define OSD_TEXT1 (0 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT10

#define OSD_TEXT10 (9 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT2

#define OSD_TEXT2 (1 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT3

#define OSD_TEXT3 (2 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT4

#define OSD_TEXT4 (3 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT5

#define OSD_TEXT5 (4 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT6

#define OSD_TEXT6 (5 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT7

#define OSD_TEXT7 (6 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT8

#define OSD_TEXT8 (7 * TEXT_PALETTE_SIZE)

## ◆ OSD_TEXT9

#define OSD_TEXT9 (8 * TEXT_PALETTE_SIZE)

## ◆ TEXT_PALETTE_SIZE

#define TEXT_PALETTE_SIZE 11

## ◆ TEXTPALETTE_WHITE_BLACK_TRANSPARENT

#define TEXTPALETTE_WHITE_BLACK_TRANSPARENT 0

## ◆ TEXTPALETTE_WHITE_NONE_TRANSLUCID

#define TEXTPALETTE_WHITE_NONE_TRANSLUCID 2

## ◆ TEXTPALETTE_WHITE_NONE_TRANSPARENT

#define TEXTPALETTE_WHITE_NONE_TRANSPARENT 1

## ◆ TEXTPALETTE_YELLOW_BLACK_TRANSPARENT

#define TEXTPALETTE_YELLOW_BLACK_TRANSPARENT 3

## Typedef Documentation

## ◆ osd_font_t

typedef struct osd_font_s osd_font_t

## ◆ osd_ft2context_t

typedef struct osd_ft2context_s osd_ft2context_t

## ◆ osd_object_t

typedef struct osd_object_s osd_object_t

## ◆ osd_renderer_t

typedef struct osd_renderer_s osd_renderer_t

## Function Documentation

## ◆ _x_osd_renderer_init()

osd_renderer_t * _x_osd_renderer_init | ( | xine_stream_t * | stream | ) |

References _, xine_s::basedir_handle, xine_s::config, osd_font_s::filename, lprintf, osd_font_s::name, osd_font_s::next, NULL, osd_clear(), osd_draw_bitmap(), osd_filled_rect(), osd_free_object(), osd_get_capabilities(), osd_get_palette(), osd_get_text_size(), osd_hide(), osd_line(), osd_new_object(), osd_point(), osd_render_text(), osd_renderer_close(), osd_set_argb_buffer(), osd_set_encoding(), osd_set_extent(), osd_set_font(), osd_set_palette(), osd_set_position(), osd_set_text_palette(), osd_set_video_window(), osd_show_scaled(), osd_show_unscaled(), PACKAGE, config_values_s::register_enum, osd_font_s::size, textpalettes_str, update_text_palette(), xine_stream_s::xine, xine_str2uint32(), XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by xine_stream_new().